/*
 * Copyright (C) Sureshot 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Review history:
 *
 */

package se.bysoft.sureshot.gui.util;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;

/**
 * Action for the about menu item or tool bar item.
 *
 * @author Roger Karlsson
 * @since  March 21, 2002
 */
public class AboutAction extends AbstractAction
{
    /**
     * Constructor.
     *
     * @param runnable  Then action that should be performed when the
     *                  about item is clicked.
     */
    public AboutAction(final Runnable runnable)
    {
        super(_name);
        _runnable = runnable;
        super.putValue(AbstractAction.MNEMONIC_KEY, 
                       new Integer(_name.charAt(0)));
        super.putValue(AbstractAction.SHORT_DESCRIPTION, 
                       "Information about the application.");
    }

    public void actionPerformed(final ActionEvent e) 
    {
        _runnable.run();
    }

    private static final String _name = "About";
    private final Runnable _runnable;
}
